Bug 586620 - Action pruning bug, all sda2 creation actions get pruned resulting in sda2 never getting created.
Action pruning bug, all sda2 creation actions get pruned resulting in sda2 ne...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:1e3d1c41f090f3f18...
:
Depends On:
Blocks: F13Blocker/F13FinalBlocker
  Show dependency treegraph
 
Reported: 2010-04-27 21:02 EDT by Jesse Keating
Modified: 2013-01-09 22:33 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-13.39-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-03 23:22:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (631.89 KB, text/plain)
2010-04-27 21:02 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2010-04-27 21:02:19 EDT
The following was filed automatically by anaconda:
anaconda 13.38 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 321, in createParents
    raise DeviceError("parent device does not exist", self.name)
  File "/usr/lib/anaconda/storage/devices.py", line 2804, in create
    self.createParents()
  File "/usr/lib/anaconda/storage/deviceaction.py", line 203, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 678, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 283, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 109, in turnOnFilesystems
    anaconda.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1313, in nextClicked
    self.anaconda.dispatch.gotoNext()
DeviceError: ('parent device does not exist', 'md1')
Comment 1 Jesse Keating 2010-04-27 21:02:22 EDT
Created attachment 409640 [details]
Attached traceback automatically from anaconda.
Comment 2 Hans de Goede 2010-04-28 05:34:36 EDT
Hi,

Looking at the attached logs. You were starting with a standard autopartitioned install using 2 entire disks. Then did custom partitioning, and removed all pre-existing partitions. Then created 2 mdraid partitions on each disk, 1 to hold a mdraid mirror containing /boot, and another for an mdraid set for /, correct ?

If you look at the action pruning part of the log you'll see that for some reason the device and format create actions for sda2 gets pruned, so when we try to create the mdraid set using sda2 and sdb2, we get this backtrace. moving this over to dlehman.

Regards,

Hans
Comment 3 David Lehman 2010-04-28 11:03:01 EDT
This should be fixed in anaconda-13.39-1 by commit f420bf4f8 (the "Also..." part).
Comment 4 Adam Williamson 2010-05-03 16:54:21 EDT
Jesse, can you please re-test ASAP? Thanks. TC1 has 13.39.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Jesse Keating 2010-05-03 23:22:36 EDT
Confirmed fixed.

Note You need to log in before you can comment on or make changes to this bug.